#include "strerr.h"
#include "env.h"
#include "issub.h"

#define FATAL "ezmlm-issub: fatal: "

void die_usage()
{
  strerr_die1x(100,"ezmlm-issub: usage: ezmlm-issub dir [box@domain]");
}

void main(argc,argv)
int argc;
char **argv;
{
  char *dir;
  char *addr;
  char *sender;
  int flag;

  sender = env_get("SENDER");

  dir = argv[1];
  if (!dir) die_usage();

  if (chdir(dir) == -1)
    strerr_die4sys(111,FATAL,"unable to switch to ",dir,": ");

  addr = argv[2];
  if (!addr)
    if (!sender)
      _exit(1);		/* empty sender is not a subscriber, but not */
    else		/* an error either */
      addr = sender;

  switch (issub(addr)) {
    case 1: _exit(0);
    case -1: strerr_die1(111,FATAL,&issub_err);
    case -2: strerr_die1(100,FATAL,&issub_err);
  }
  _exit(1);
}
